Subject: Re: [PATCH] platform: Facilitate the creation of pseduo-platform busses

From: Kevin Hilman <[email-masked]>
Date: Thu, 05 Aug 2010 08:27:39 -0700

Magnus Damm <[email-masked]> writes:

> On Thu, Aug 5, 2010 at 7:14 AM, Patrick Pannuto <[email-masked]> wrote:
>> Inspiration for this comes from:
>> http://www.mail-archive.com/[email-masked]/msg31161.html
>>
>> RFC: http://lkml.org/lkml/2010/8/3/496
>> Patch is unchanged from the RFC. Reviews seemed generally positive
>> and it seemed this was desired functionality.
>
> Thanks for your patch, it's really nice to see work done in this area!
> I'd like to see something like this merged in the not so distant
> future. At this point I'm not so concerned about the details, so I'll
> restrict myself to this:
>
>> /drivers/my_driver.c
>>        static struct platform_driver my_driver = {
>>                .driver = {
>>                        .name   = "my-driver",
>>                        .owner  = THIS_MODULE,
>>                        .bus    = &my_bus_type,
>>                },
>>        };
>
> I would really prefer not to have the bus type in the here. I
> understand it's needed at this point, but I wonder if it's possible to
> adjust the device<->driver matching for platform devices to allow any
> type of pseudo-platform bus_type.

I totally agree here.  Keeping the drivers ignorant of the bus (or SoC)
they are on will make them much more portable.

Kevin